Class | Sequel::ASTTransformer
In: | lib/sequel/ast_transformer.rb
Parent: | Object

The `ASTTransformer` class is designed to handle the abstract syntax trees that Sequel uses internally and produce modified copies of them. By itself it only produces a straight copy. It‘s designed to be subclassed and have subclasses returned modified copies of the specific nodes that need to be modified.

### Methods

transform

### Public Instance methods

transform(obj)

Return `obj` or a potentially transformed version of it.

[Source]

        # File lib/sequel/ast_transformer.rb, line 9
     9:     def transform(obj)
    10:       v(obj)
    11:     end

[Validate]